
TYPO3.Flow - Bug # 43387

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Property
Created: 2012-11-28 Assigned To: Karsten Dambekalns
Updated: 2012-12-11 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: Aliases in property mapping configuration not observed by shouldMap()
Description

This breaks the use of the wildcard because the field is not even considered for mapping.

Associated revisions
Revision bd0acd47 - 2012-11-28 12:34 - Karsten Dambekalns

[BUGFIX] Regard wildcard in PropertyConfiguration shouldMap()

Using 'name.*' in property mapping configuration did not work for
fields added on the client, because shouldMap() would reject those
fields before the configuration was even checked.

Change-Id: Ie1a04d34a87f4acd34ff9c23ce62a06560a23f36
Fixes: #43387
Releases: 1.2

History
#1 - 2012-11-28 12:36 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16755

#2 - 2012-12-11 22:44 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
